Get coupon
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/coupons/{couponId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/coupons/{couponId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/coupons/{couponId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"code": "<string>",
"uses": 123,
"maximumUses": 49999999,
"isEnabled": true,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentageDecrease": 50,
"amountDecrease": 50000,
"variantIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"expirationDate": "2023-11-07T05:31:56Z"
}
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Coupons
Get Coupon
Gets a coupon by ID.
Requires the stores.coupons.view permission.
GET
/
stores
/
{storeId}
/
coupons
/
{couponId}
Get coupon
Authorizations
Your API key goes here
Path Parameters
The ID of the store to get the coupons in
The ID of the coupon to get
Response
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
A coupon code can be used to reduce the cost of an order with a store for a specified percentage
Show child attributes
Show child attributes
Last modified on August 29, 2025
⌘I